<!-- data/config.html -->
<!DOCTYPE html>
<html>
  <head>
    <title>ODi Configuration Page</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" type="image/png" href="favicon.png">
    <link rel="stylesheet" type="text/css" href="style.css">
    <script src="script.js"></script>
  </head>
  <body>
    <div class="topnav">
      <h1>Sensor Configuration</h1>
      <button class="base-button restart-button" onclick="sendRestartEvent()">Restart</button>
      <a href="/"><button class="base-button">Measure</button></a>
    </div>
    <div class="content">
      <div class="card-grid">
        <!-- Sensor form card -->
        <div class="card">
          <p class="card-title">Sensor Settings</p>
          <form id="config-form">
            <label for="gain">Gain:</label>
            <select id="gain" name="gain">
              <option value="" disabled selected>Select gain</option>
              <option value="TSL2591_GAIN_LOW">1x (Low)</option>
              <option value="TSL2591_GAIN_MED">25x (Medium)</option>
              <option value="TSL2591_GAIN_HIGH">428x (High)</option>
              <option value="TSL2591_GAIN_MAX">9876x (Max)</option>
            </select><br>
            <label for="timing">Integration Time:</label>
            <select id="timing" name="timing">
              <option value="" disabled selected>Select time</option>
              <option value="TSL2591_INTEGRATIONTIME_100MS">100ms</option>
              <option value="TSL2591_INTEGRATIONTIME_200MS">200ms</option>
              <option value="TSL2591_INTEGRATIONTIME_300MS">300ms</option>
              <option value="TSL2591_INTEGRATIONTIME_400MS">400ms</option>
              <option value="TSL2591_INTEGRATIONTIME_500MS">500ms</option>
              <option value="TSL2591_INTEGRATIONTIME_600MS">600ms</option>
            </select><br>
            <button type="button" onclick="submitConfig()">Submit</button>
          </form>
        </div>
        <!-- Gain/Time config cards -->
        <div class="card">
          <p class="card-title">Current Gain</p>
          <p><span id="current_gain" style="font-size: 0.8rem;">-</span></p>
        </div>
        <div class="card">
          <p class="card-title">Current Time</p>
          <p><span id="current_time" style="font-size: 0.8rem;">-</span></p>
        </div>
        <!-- Raw values card -->
        <div class="card">
          <p class="card-title">Full luminosity</p>
          <p class="reading"><span id="full_lum">-</span></p>
        </div>
        <!-- WiFi form card -->
        <div class="card">
          <p class="card-title">WiFi Configuration</p>
          <form id="wifi-config-form">
            <label for="ssid">SSID:</label>
            <input type="text" id="ssid" name="ssid" placeholder="Enter a new SSID" required><br>
            <label for="password">Password:</label>
            <input type="password" id="password" name="password" placeholder="Enter a new password" required><br>
            <button type="button" onclick="submitWifiConfig()">Save and Restart</button>
          </form>
        </div>
        <!-- Calibration values card -->
        <div class="card">
          <p class="card-title">Calibration factor</p>
          <p>Current value: <span id="adj_factor" style="font-size: 0.8rem;">-</span></p>
          <form id="factor-config-form">
            <input type="number" step="0.01" id="factor" name="factor" placeholder="Enter a new factor" required>
            <button type="button" onclick="submitFactorConfig()">Save new</button>
          </form>
        </div>
      </div> <!-- End card grid div. -->
    </div> <!-- End content div. -->
  </body>
</html>
